<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="newRow()" class="btn btn-primary">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button type="button" class="btn btn-success ml-1" (click)="guardar()" [disabled]="ngForm.invalid">
    <i class="fa fa-save mr-2"></i>Guardar
  </button>
  <button class="btn btn-danger ml-1" [disabled]="!flagEdit" (click)="eliminar()">
    <i class="fas fa-trash-alt mr-2"></i>Eliminar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="form-group col-3">
          <label class="w-100">Grupo</label>
          <input type="tel" pattern="[0-9]*" class="form-control" formControlName="Grupo" [readonly]="flagEdit"
          maxlength="2">
        </div>
        <div class="form-group col-6">
          <label>Descripción</label>
          <input type="text" formControlName="Descripcion" name="Descripcion" class="form-control"
          maxlength="30">
        </div>
        <div class="form-group col-3">
          <label class="w-100">Inactivo</label>
          <kendo-switch formControlName="Inactivo" [onLabel]="'Si'" [offLabel]="'No'"></kendo-switch>
        </div>
      </div>
    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [filter]="filter" filterable="menu"
      [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true" (selectionChange)="selectRow($event)"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="Grupo" title="Grupo" width="150" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="Descripcion" title="Descripción"></kendo-grid-column>
        <kendo-grid-column field="Inactivo" title="Inactivo">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{dataItem.Inactivo ? 'Si' : 'No'}}
          </ng-template>
        </kendo-grid-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>
